#include "SnakeTile.h"

SnakeTile::SnakeTile(QObject *parent) : GeoArea(parent) {}

SnakeTile::SnakeTile(const SnakeTile &other, QObject *parent)
    : GeoArea(parent) {
  *this = other;
}

SnakeTile::~SnakeTile() {}

QString SnakeTile::mapVisualQML() const { return QStringLiteral(""); }

QString SnakeTile::editorQML() const { return QStringLiteral(""); }

SnakeTile *SnakeTile::clone(QObject *parent) const {
  return new SnakeTile(*this, parent);
}

void SnakeTile::push_back(const QGeoCoordinate &c) { this->appendVertex(c); }
